CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2023 开发者帮助

Layers 属性 (ActiveX)

2024-5-18 18:57| 发布者: admin| 查看: 121| 评论: 0|原作者: admin|来自: AutoCAD

Layers 属性 (ActiveX)

获取文档的 Layers 集合。

支持的平台:仅限 Windows

签名

VBA:

object.Layers
对象

类型:数据库文档

此属性应用于的对象。

属性值

只读:是的

类型: 图层

文档的 Layers 集合。

言论

没有其他评论。

例子

VBA:

Sub Example_Layers()
    ' This example finds the current Layers collection and
    ' adds a new layer to that collection.
    
    Dim layerColl As AcadLayers
    Set layerColl = ThisDrawing.Layers
    
    ' Create a dimension style named "TEST" in current drawing
    Dim testlayer As AcadLayer
    Set testlayer = layerColl.Add("TEST")
    MsgBox "A new layer called " & testlayer.name & " has been added to the Layers collection.", vbInformation, "Layers Example"
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_Layers()
    ;; This example finds the current Layers collection and
    ;; adds a new layer to that collection.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    (setq layerColl (vla-get-Layers doc))
    
    ;; Create a dimension style named "TEST" in current drawing
    (setq testlayer (vla-Add layerColl "TEST"))
    (alert (strcat "A new layer called " (vla-get-Name testlayer) " has been added to the Layers collection."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-3-5 15:33

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部